Error message when you install Windows SharePoint Services or SharePoint Server 2007: "This product requires ASP.NET v2.0 to be set to 'Allow' in the list of Internet Information Services (IIS) Web Server Extensions"

Article translations Article translations
Article ID: 947287 - View products that this article applies to.
Beta Information
This article discusses a beta release of a Microsoft product. The information in this article is provided as-is and is subject to change without notice.

No formal product support is available from Microsoft for this beta product. For information about how to obtain support for a beta release, see the documentation that is included with the beta product files, or check the Web location where you downloaded the release.
Expand all | Collapse all

On This Page

SYMPTOMS

When you install Microsoft Windows SharePoint Services or Microsoft Office SharePoint Server 2007, you receive the following error message:
This product requires ASP.NET v2.0 to be set to 'Allow' in the list of Internet Information Services (IIS) Web Server Extensions. If it is not available in the list, re-install ASP.NET v2.0.

CAUSE

This problem occurs if Microsoft ASP.NET 2.0 is not enabled in the Internet Information Services (IIS) 6.0 Web service extensions. For example, if you install IIS 6.0 after you install ASP.NET 2.0, the ASP.NET 2.0 Web service extension may not be enabled.

RESOLUTION

To resolve this problem, use one of the following methods.

In Windows Server 2003

Method 1: Enable ASP.NET 2.0 on the "Web Service Extensions" tab in IIS

  1. Click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. In the navigation pane, click Web Service Extensions under Server_Name.
  3. Click ASP.NET v2.0.50727, and then click Allow.

Method 2: Enable ASP.NET 2.0 at the command prompt

  1. Click Start, click Run, type cmd, and then press ENTER.
  2. Type the following command, and then press ENTER:
    system_drive:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe -i -enable

In Windows Server 2008

  1. Click Start, point to Administrative Tools, and then click Server Manager.
  2. Right-click Features, and then click Add Features.
  3. Click .NET Framework 3.0 Features.
  4. In the Add Features Wizard, click Add Required Role Services if it appears.
  5. In the navigation pane, click Role Services, and then click to select the ASP.NET check box.
  6. In the Add Features Wizard, click Add Required Role Services if it appears.
  7. Click Install.

Properties

Article ID: 947287 - Last Review: January 30, 2008 - Revision: 1.0
APPLIES TO
  • Microsoft Office SharePoint Server 2007
  • Microsoft Windows SharePoint Services 3.0
Keywords: 
kbtshoot kbprb kbexpertiseadvanced KB947287

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com